View Issue Details

IDProjectCategoryView StatusLast Update
0003587OpenFOAMBugpublic2020-11-06 11:21
Reportermaxdre91Assigned Tohenry 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionno change required 
PlatformLinuxOSUbuntuOS Version18.04
Product Version7 
Fixed in Version 
Summary0003587: fluent3DMeshToFoam and mergeMeshes crash with large (around 170 mio cells) meshes
DescriptionDuring Mesh conversion from ICEM-generated .msh files (written in ASCII) i come across errors when i try to convert large meshes (around 170 mio. cells) via fluent3DMeshToFoam.
As a workaround i tried to split my mesh into 3 smaller parts in order to merge them after the conversion with fluent3DMeshToFoam.
For all of these 3 parts of the mesh, the conversion via fluent3DMeshToFoam is successfull and checkMeshes also provide good results.
Now when i try to merge them in any possibility (1&2; 1&3; 2&3) mergeMesh crashes witht he same error output as in the fluent3DMeshToFoam of the large mesh.
I attached the log-file from mergeMeshes. As you can see it was performed under OF7.

As these issues only occur with large mesh sizes, i am not sure how to provide a minimum working example.
Any help would be very appreciated, thanks.

M. Drexelius
Additional InformationFurther info on the meshes:
Total cells: 172,114,578‬ hexahedral cells
Part 1: 8.6 GB data; 44,166,906 hexa cells; 24 boundary patches
Part 2: 11.2 GB data; 57,232,114 hexa cells; 27 boundary patches
Part 3: 14.0 GB data; 70,715,558 hexa cells; 27 boundary patches
TagsNo tags attached.

Activities

maxdre91

2020-11-03 09:48

reporter  

log_mergeMesh (8,173 bytes)
/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     | Website:  https://openfoam.org
    \\  /    A nd           | Version:  6
     \\/     M anipulation  |
\*---------------------------------------------------------------------------*/
Build  : 6
Exec   : mergeMeshes /hpcwork/********/TestMesh_fluid1 /hpcwork/********/TestMesh_fluid2
Date   : Oct 31 2020
Time   : 09:44:13
Host   : "****.hpc.itc.rwth-aachen.de"
PID    : 238804
I/O    : uncollated
Case   : /rwthfs/rz/cluster/hpcwork/********/********
nProcs : 1
sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster (fileModificationSkew 10)
allowSystemOperations : Allowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Master:      "/hpcwork/********/TestMesh_fluid1"  region region0
mesh to add: "/hpcwork/********/TestMesh_fluid2"  region region0

Create Times

Reading master mesh for time = 0
Create mesh

Reading mesh to add for time = 0
Create mesh

Writing combined mesh to 0.000100000000000000005
patch names: 
42
(
ABSORBER_SUED
DACH_SUED
STRAHLUNGSSCHUTZ_SUED
DACH
STRAHLUNGSSCHUTZ_AUSSEN
BODEN
TURM
AMBIENT_BOTTOM
AMBIENT_TOP
ELR_SUED
AMBIENT_RIGHT
AMBIENT_INLET
TRICHTER_TEMP
TEMP_WUERFEL
MESHINTERFACE1
MESHINTERFACE2
MESHINTERFACE3
MESHINTERFACE4
MESHINTERFACE5
MESHINTERFACE6
MESHINTERFACE7
MESHINTERFACE8
MESHINTERFACE5A
MESHINTERFACE1A
ABSORBER_NO
ELR_NO
STRAHLUNGSSCHUTZ_NO
DACH_NO
AMBIENT_OUTLET
MESHINTERFACE1_2
MESHINTERFACE2_2
MESHINTERFACE3_2
MESHINTERFACE4_2
MESHINTERFACE9_2
MESHINTERFACE11_2
MESHINTERFACE12_2
MESHINTERFACE13_2
MESHINTERFACE14_2
MESHINTERFACE1A_2
MESHINTERFACE10_2
MESHINTERFACE15_2
MESHINTERFACE16_2
)

patch dicts: 
42
(

{
    type            wall;
    inGroups        1 ( wall );
    nFaces          16020;
    startFace       132077097;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          12504;
    startFace       132093117;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          48276;
    startFace       132105621;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          18492;
    startFace       132153897;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          50612;
    startFace       132172389;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          18492;
    startFace       132223001;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          37252;
    startFace       132241493;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          92670;
    startFace       132278745;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          31030;
    startFace       132371415;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          3240;
    startFace       132402445;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          71258;
    startFace       132405685;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          87043;
    startFace       132476943;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          5628;
    startFace       132563986;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          56012;
    startFace       132569614;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          19062;
    startFace       132625626;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          108680;
    startFace       132644688;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          26609;
    startFace       132753368;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          1449;
    startFace       132779977;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          19062;
    startFace       132781426;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          1449;
    startFace       132800488;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          108680;
    startFace       132801937;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          10824;
    startFace       132910617;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          1449;
    startFace       132921441;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          1449;
    startFace       132922890;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          13083;
    startFace       171184653;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          2499;
    startFace       171197736;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          38867;
    startFace       171200235;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          8428;
    startFace       171239102;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          105534;
    startFace       171569817;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          19062;
    startFace       171852943;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          108680;
    startFace       171872005;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          26609;
    startFace       171980685;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          1449;
    startFace       172007294;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          67199;
    startFace       172008743;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          1449;
    startFace       172075942;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          6552;
    startFace       172077391;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          1449;
    startFace       172083943;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          12510;
    startFace       172085392;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          1449;
    startFace       172097902;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          14421;
    startFace       172099351;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          14421;
    startFace       172113772;
}


{
    type            wall;
    inGroups        1 ( wall );
    nFaces          79838;
    startFace       172128193;
}

)

point zone names: 0()
face zone names: 1(int_FLUID)
cell zone names: 1(FLUID)
Copying old patches
Adding new patches. 
#0  Foam::error::printStack(Foam::Ostream&) at ??:?
#1  Foam::sigSegv::sigHandler(int) at ??:?
#2  ? in "/lib64/libc.so.6"
#3  Foam::polyTopoChange::makeCells(int, Foam::List<int>&, Foam::List<int>&) const at ??:?
#4  Foam::polyTopoChange::compact(bool, bool, int&, Foam::List<int>&, Foam::List<int>&) at ??:?
#5  Foam::polyTopoChange::compactAndReorder(Foam::polyMesh const&, bool, bool, bool, int&, Foam::Field<Foam::Vector<double> >&, Foam::List<int>&, Foam::List<int>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::Map<int> >&, Foam::List<int>&, Foam::List<int>&, Foam::List<Foam::Map<int> >&) at ??:?
#6  Foam::polyTopoChange::changeMesh(Foam::polyMesh&, bool, bool, bool, bool) at ??:?
#7  ? at ??:?
#8  ? at ??:?
#9  __libc_start_main in "/lib64/libc.so.6"
#10  ? at ??:?
log_mergeMesh (8,173 bytes)

maxdre91

2020-11-03 09:56

reporter  

log_mergeMeshes_v7 (9,123 bytes)
/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     | Website:  https://openfoam.org
    \\  /    A nd           | Version:  7
     \\/     M anipulation  |
\*---------------------------------------------------------------------------*/
Build  : 7
Exec   : mergeMeshes /hpcwork/********/TestMesh_fluid2 /hpcwork/********/TestMesh_fluid3
Date   : Nov 02 2020
Time   : 19:03:06
Host   : "ncm0535.hpc.itc.rwth-aachen.de"
PID    : 126513
I/O    : uncollated
Case   : /rwthfs/rz/cluster/hpcwork/********/TestMesh_fluid2u3
nProcs : 1
sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster (fileModificationSkew 10)
allowSystemOperations : Allowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Master:      "/hpcwork/********/TestMesh_fluid2"  region region0
mesh to add: "/hpcwork/********/TestMesh_fluid3"  region region0

Create Times

Reading master mesh for time = 0
Create mesh

Reading mesh to add for time = 0
Create mesh

Writing combined mesh to 0.000100000000000000005
patch names: 
46
(
ABSORBER_NO
ELR_NO
STRAHLUNGSSCHUTZ_NO
DACH_NO
DACH
STRAHLUNGSSCHUTZ_AUSSEN
BODEN
TURM
AMBIENT_BOTTOM
AMBIENT_TOP
AMBIENT_OUTLET
AMBIENT_RIGHT
TRICHTER_TEMP
TEMP_WUERFEL
MESHINTERFACE1_2
MESHINTERFACE2_2
MESHINTERFACE3_2
MESHINTERFACE4_2
MESHINTERFACE9_2
MESHINTERFACE11_2
MESHINTERFACE12_2
MESHINTERFACE13_2
MESHINTERFACE14_2
MESHINTERFACE1A_2
MESHINTERFACE10_2
MESHINTERFACE15_2
MESHINTERFACE16_2
ELR_NW
ABSORBER_NW
STRAHLUNGSSCHUTZ_NW
DACH_NW
AMBIENT_LEFT
AMBIENT_INLET
MESHINTERFACE5_3
MESHINTERFACE6_3
MESHINTERFACE7_3
MESHINTERFACE8_3
MESHINTERFACE9_3
MESHINTERFACE15_3
MESHINTERFACE11_3
MESHINTERFACE12_3
MESHINTERFACE13_3
MESHINTERFACE14_3
MESHINTERFACE5A_3
MESHINTERFACE10_3
MESHINTERFACE16_3
)

patch dicts: 
46
(

{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          13083;
    startFace       171184653;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          2499;
    startFace       171197736;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          38867;
    startFace       171200235;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          8428;
    startFace       171239102;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          19182;
    startFace       171247530;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          61091;
    startFace       171266712;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          19182;
    startFace       171327803;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          38642;
    startFace       171346985;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          124065;
    startFace       171385627;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          60125;
    startFace       171509692;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          105534;
    startFace       171569817;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          113652;
    startFace       171675351;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          5838;
    startFace       171789003;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          58102;
    startFace       171794841;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          19062;
    startFace       171852943;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          108680;
    startFace       171872005;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          26609;
    startFace       171980685;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          1449;
    startFace       172007294;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          67199;
    startFace       172008743;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          1449;
    startFace       172075942;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          6552;
    startFace       172077391;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          1449;
    startFace       172083943;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          12510;
    startFace       172085392;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          1449;
    startFace       172097902;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          14421;
    startFace       172099351;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          14421;
    startFace       172113772;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          79838;
    startFace       172128193;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          2737;
    startFace       211528736;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          14329;
    startFace       211531473;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          41786;
    startFace       211545802;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          9233;
    startFace       211587588;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          184008;
    startFace       212076699;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          73062;
    startFace       212260707;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          19062;
    startFace       212425309;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          1449;
    startFace       212444371;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          108680;
    startFace       212445820;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          10824;
    startFace       212554500;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          67199;
    startFace       212565324;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          14421;
    startFace       212632523;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          1449;
    startFace       212646944;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          6552;
    startFace       212648393;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          1449;
    startFace       212654945;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          12510;
    startFace       212656394;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          1449;
    startFace       212668904;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          14421;
    startFace       212670353;
}


{
    type            wall;
    inGroups        List<word> 1(wall);
    nFaces          79838;
    startFace       212684774;
}

)

point zone names: 0()
face zone names: 1(int_FLUID)
cell zone names: 1(FLUID)
Copying old patches
Adding new patches. 
#0  Foam::error::printStack(Foam::Ostream&) at ??:?
#1  Foam::sigSegv::sigHandler(int) at ??:?
#2  ? in "/lib64/libc.so.6"
#3  Foam::polyTopoChange::makeCells(int, Foam::List<int>&, Foam::List<int>&) const at ??:?
#4  Foam::polyTopoChange::compact(bool, bool, int&, Foam::List<int>&, Foam::List<int>&) at ??:?
#5  Foam::polyTopoChange::compactAndReorder(Foam::polyMesh const&, bool, bool, bool, int&, Foam::Field<Foam::Vector<double> >&, Foam::List<int>&, Foam::List<int>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::objectMap>&, Foam::List<Foam::Map<int> >&, Foam::List<int>&, Foam::List<int>&, Foam::List<Foam::Map<int> >&) at ??:?
#6  Foam::polyTopoChange::changeMesh(Foam::polyMesh&, bool, bool, bool, bool) at ??:?
#7  ? at ??:?
#8  ? at ??:?
#9  __libc_start_main in "/lib64/libc.so.6"
#10  ? at ??:?
log_mergeMeshes_v7 (9,123 bytes)

henry

2020-11-03 10:15

manager   ~0011655

Try compiling with 64bit labels.

maxdre91

2020-11-03 11:07

reporter   ~0011656

Thanks alot for your reply. Could you elaborate on how to do that?

maxdre91

2020-11-03 11:17

reporter   ~0011657

I guesss you are refering to:
/etc/bashrc
changing WM_LABEL_SIZE=32 to 64.
I will try that and give feedback on the results when its done

maxdre91

2020-11-06 08:16

reporter   ~0011662

I managed to compile it with WM_LABEL_SIZE=64 which seems to do the trick! fluent3DMeshToFoam ran successfully this time.
Thanks a lot.

Issue History

Date Modified Username Field Change
2020-11-03 09:48 maxdre91 New Issue
2020-11-03 09:48 maxdre91 File Added: log_mergeMesh
2020-11-03 09:56 maxdre91 File Added: log_mergeMeshes_v7
2020-11-03 10:15 henry Note Added: 0011655
2020-11-03 11:07 maxdre91 Note Added: 0011656
2020-11-03 11:17 maxdre91 Note Added: 0011657
2020-11-06 08:16 maxdre91 Note Added: 0011662
2020-11-06 11:21 wyldckat Assigned To => henry
2020-11-06 11:21 wyldckat Status new => resolved
2020-11-06 11:21 wyldckat Resolution open => no change required